Name: 		fuse-smb
Summary: 	FUSE-Filesystem to fast and easy access remote resources via SMB
Version: 	0.8.5
Release: 	7%{?dist}
License: 	GPL
Group: 		System Environment/Base
URL: 		http://www.ricardis.tudelft.nl/~vincent/fusesmb/
#moved to .rpmmacros
#Packager: 	Marcin Zajaczkowski <mszpak ATT wp DOTT pl>
Source0: 	http://www.ricardis.tudelft.nl/~vincent/fusesmb/download/fusesmb-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#fuse is implicity required by libfuse.so.2 or fuse-libs
#Requires: 	fuse >= 2.3
#samba-common (fc<=6), libsmbclient (fc>6) and fuse-libs are implicity required by their .so files
#Requires:		fuse-libs >= 2.3
#Requires:		samba-common >= 3.0

#fuse(-devel) 2.3 is a minimal required version
BuildRequires: 	fuse-devel >= 2.3
BuildRequires:	samba-client >= 3.0

%if "%fedora" > "6"
#starting with 3.0.24-3 in FC7+ libsmbclient is in a separate package
BuildRequires: libsmbclient-devel >= 3.0
%endif

%description 
With SMB for Fuse you can seamlessly browse your network neighbourhood
as were it on your own filesystem.
It's basically smbmount with a twist. Instead of mounting one Samba share
at a time, you mount all workgroups, hosts and shares at once. Only when 
you're accessing a share a connection is made to the remote computer. 

%prep 
%setup -q -n fusesmb-%{version}

%build
%configure
make %{?_smp_mflags}

%install 
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}

%clean 
#build dir is removed by --clean option
rm -fr %{buildroot}

%files 
%defattr(0644,root,root,0755) 
%attr(0755,root,root) %{_bindir}/fusesmb
%attr(0755,root,root) %{_bindir}/fusesmb.cache
#NEWS is empty in 0.8.5 and causes rpmlint's warning 
%doc AUTHORS ChangeLog COPYING INSTALL README TODO fusesmb.conf.ex
%{_mandir}/man*/fusesmb.*


%changelog 
* Thu Apr 19 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-7
 - changed expression to determine Fedora version to work in mock

* Thu Apr 19 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-6
 - added compatility with samba package >= 3.0.24-3 in FC7+

* Fri Jan 26 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-5
 - bumped to next release to workaround problem with FC-5 tag in CVS

* Thu Jan 25 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-4
 - fixed accidental spaces in file

* Wed Jan 17 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-3
 - removed redundant requirements
 - removed redundant %%{optflags} (%%configure already uses it)

* Mon Jan 15 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-2
 - started adaptation to Fedora Extras requirements
 - Packager tag removed from .spec file (now only in .rpmmacros)
 - gcc removed from BuildRequires section
 - added %%{optflags}
 - removed empty NEWS from package (rpmlint's warning)

* Thu May 26 2006 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.5-1
 - initial release (should be compatible with fuse package from Fedora Extras)

